Files
nym/documentation/remove_existing_config.sh
T
mx 435673bcb9 Chore/clean config in docs runner (#4172)
* added script for cicd workflow

* added new script to cicd docs workflows

* updated readme with new script + new structure

* removed autodeploy on push to master

* made name for removing config dir more informative

* remove ascii

* test things

* apt

* adding spacing for ease of reading

* removed remove_existing_config.sh from docs ci

* code comment

* removed matrix notification temporarily

* testing moving back to custom runner

* tweaked cd

* fixed script

* remove admonish commands for the moment

* made small change to test deploy

* switched to large gh runner

* namefix for runner

* cleanup and test

* pulling new changes to cd

* removed --no-default-features flag

* reintroduced --no-default flag for test

* updated readme with new command + note on contributions

* reintroduced faster mdbook install

* revert test change

* removed old versions

* add continue on error: false to vercel steps

* updated readme with cicd workflow

---------

Co-authored-by: Jon Häggblad <jon.haggblad@gmail.com>
Co-authored-by: mfahampshire <mfahampshire@protonmail.ch>
2023-11-29 19:38:37 +00:00

23 lines
654 B
Bash
Executable File

#!/usr/bin/env bash
set -o errexit
set -o nounset
set -o pipefail
# Script to remove existing ~'/.nym/ files on docs deployment. Used to avoid issues with `mdbook-cmdrun` output when
# e.g. erroring about overwriting existing keys. `mdbook-cmdrun` output for the moment has to be checked manually.
DIR=~/.nym
# check for config directory
if [ ! -d $DIR ]; then
echo "config dir doesn't exist: nothing to do"
else
echo "config dir exists - deleting"
rm -rf $DIR
# check exit code of rm -rf - if !0 then exit
if [ $? -ne 0 ]; then
echo "exit code was $?. looks like the something went wrong with deleting the directory"
exit 1
fi
fi